/*
 PureMVC standard Javascript port by Frederic Saunier Saunier <frederic.saunier@puremvc.org>
 PureMVC - Copyright(c) 2006-2011 Futurescale, Inc., Some rights reserved.
 Your reuse is governed by the Creative Commons Attribution 3.0 License
*/

/**
 * @classDescription
 * A utility class used by ControllerTest.
 * 
 * @see org.puremvc.js.standard.core.controller.ControllerTest ControllerTest
 * @see org.puremvc.js.standard.core.controller.ControllerTestCommand ControllerTestCommand
 * 
 * @constructor.
 */
function ControllerTestVO(){}

/**
 * Initialize a <code>ControllerTestVO</code> instance.
 * 
 * @param {Number} input
 * 		The number to be fed to the <code>ControllerTestCommand</code>.
 * 
 * @return {ControllerTestVO}
 * 		This <code>ControllerTestVO</code> instance.
 */
ControllerTestVO.prototype.initialize = function( input )
{
	this.input = input;

	return this;
}

/**
 * @type {Number}
 */
ControllerTestVO.prototype.input = 0;

/**
 * @type {Number}
 */		
ControllerTestVO.prototype.result = 0;