/*
 PureMVC standard Javascript port by Frederic Saunier Saunier <frederic.saunier@puremvc.org>
 PureMVC - Copyright(c) 2006-2011 Futurescale, Inc., Some rights reserved.
 Your reuse is governed by the Creative Commons Attribution 3.0 License
*/

/**
 * @classDescription
 * A <code>MacroCommand</code> utility subclass used by
 * <code>MacroCommandTest</code>.
 *
 * @extends org.puremvc.js.standard.patterns.command.MacroCommand MacroCommand
 * 
 * @constructor
 */
function MacroCommandTestSub(){}

/**
 * @extends org.puremvc.js.standard.patterns.command.MacroCommand MacroCommand
 */
MacroCommandTestSub.prototype = new MacroCommand();

/**
 * @override
 * 
 * Initialize a <code>MacroCommandTestSub</code> instance.
 * 
 * @return {MacroCommandTestSub}
 * 		This <code>MacroCommandTestSub</code> instance.
 */
MacroCommandTestSub.prototype.initialize = function()
{
	MacroCommand.prototype.initialize.call( this );

	return this;
}

/**
 * A method to test if <code>Facade</code> instance of the object has
 * well been declared during its construction.
 */
MacroCommandTestSub.prototype.hasFacade= function()/*Boolean*/
{
	return this.facade instanceof Facade;
}