/*
 PureMVC standard Javascript port by Frederic Saunier Saunier <frederic.saunier@puremvc.org>
 PureMVC - Copyright(c) 2006-2011 Futurescale, Inc., Some rights reserved.
 Your reuse is governed by the Creative Commons Attribution 3.0 License
*/

/**
 * @classDescription
 * A utility class used by SimpleCommandTest.
 *
 * @see org.puremvc.js.standard.patterns.command.SimpleCommandTest SimpleCommandTest
 * @see org.puremvc.js.standard.patterns.command.SimpleCommandTestCommand SimpleCommandTestCommand
 *
 * @constructor
 */
function SimpleCommandTestVO(){}

/**
 * Initialize a <code>SimpleCommandTestVO</code> instance.
 * 
 * @param {Number} input
 * 		The number to be fed to the	<code>SimpleCommandTestCommand</code>.
 * 
 * @return {SimpleCommandTestVO}
 * 		This <code>SimpleCommandTestVO</code> instance.
 */
SimpleCommandTestVO.prototype.initialize = function( input )
{
	this.input = input;

	return this;
}

/**
 * @type {Number}
 */
SimpleCommandTestVO.prototype.input = null;

/**
 * @type {Number}
 */
SimpleCommandTestVO.prototype.result = null;