/*
 PureMVC standard Javascript port by Frederic Saunier Saunier <frederic.saunier@puremvc.org>
 PureMVC - Copyright(c) 2006-2011 Futurescale, Inc., Some rights reserved.
 Your reuse is governed by the Creative Commons Attribution 3.0 License
*/

/**
 * @classDescription
 * A utility class used by NotifierTest.
 * 
 * @see org.puremvc.js.standard.patterns.observer.NotifierTest NotifierTest
 * @see org.puremvc.js.standard.patterns.observer.NotiferTestCommand NotifierTestCommand
 * 
 * @constructor
 */
function NotifierTestVO(){}

/**
 * Initialize a <code>NotifierTestVO</code> instance.
 * 
 * @param {Number} input
 * 		The number to be fed to the FacadeTestCommand
 * 
 * @return {NotifierTestVO}
 * 		This <code>NotifierTestVO</code> instance.
 */
NotifierTestVO.prototype.initialize = function( input )
{
	this.input = input;

	return this;
}

/**
 * @type {Number}
 */
NotifierTestVO.prototype.input = null;

/**
 * @type {Number}
 */
NotifierTestVO.prototype.result = null;